# Item Upload **POST /catalog/accounts/{accountId}/itemsUploadUrl** # Item Upload (Retail) To support large product ranges common to the retail sector, Deliverect can receive an Item file for upload. ## Purpose To process a complete update of all item data, a two step process is required to first request a signed URL via Google Cloud Services (GCS) and then to submit a CSV file with all item data via PUT request ## Method ### 1.Request a Signed URL Sending a request to this endpoint with a `callbackUrl` will return a `signedUrl` from GCS (Google Cloud Services) with specific headers. ### 2.Submit .csv file via PUT Request Once a `signedUrl` is retrieved, the Item upload process is as follows; * Your Item .csv file should be submitted via a PUT request to the `signedUrl`with all the headers provided * Deliverect will then process the CSV asynchronously and callback to the provided `callbackUrl` when the CSV file has been fully processed. ## Servers - Staging Environment: https://api.staging.deliverect.com (Staging Environment) ## Authentication methods - Bearer auth ## Parameters ### Headers - **X-Deliverect-Version** (string) ### Path parameters - **accountId** (string) ### Body: application/json (object) - **callbackUrl** (string) Will be used to notify you when the items file has been fully processed. ## Responses ### 200 200 ### 400 400 #### Body: application/json (object) object [Powered by Bump.sh](https://bump.sh)